Description

FLOW3 currently creates or updates the Packages/.Shortcuts/ directory only if the package states have changed. That is correct in
theory, but if one messes with the package directories by manually moving around packages, you might get lost.

Therefore it would be nice if the .Shortcuts directory would be created if it does not exist. This would add stability but also allow a
developer to just remove a broken .Shortcuts directory and it would be regenerated on the next hit.

Related issues:
related to TYPO3.Flow - Bug # 33417: kickstart:package does not update .Short... Resolved 2012-01-24

Associated revisions
Revision 8dd2ea53 - 2012-01-11 11:00 - Robert Lemke

[FEATURE] Create .Shortcuts directory if it is missing

The .Shortcuts directory will now be built if it is missing. That allows
developers to just trash a broken .Shortcuts directory if they messed
with package directories manually.

Change-Id: I537ec73f8c4ded0558bd0d02243e4e4379f63bda
Resolves: #33112
Releases: 1.1

History
#1 - 2012-01-11 11:00 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7735

#2 - 2012-01-18 03:26 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:8dd2ea5352ca1fafb38fbe1d2b6b26b6f432e985.
